Bug 615353 - kolourpaint crash when both left and right mouse key are pressed
Summary: kolourpaint crash when both left and right mouse key are pressed
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kdegraphics (Show other bugs)
(Show other bugs)
Version: 13
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-16 15:30 UTC by Andrea
Modified: 2011-06-29 13:25 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 13:25:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace (2.65 KB, text/plain)
2010-07-19 06:46 UTC, Radek Novacek
no flags Details

Description Andrea 2010-07-16 15:30:17 UTC
Description of problem:

kolourpaint crash when both left and right mouse key are pressed

Version-Release number of selected component (if applicable):

Application: kolourpaint (4.4.5 (KDE 4.4.5))
KDE Platform Version: 4.4.5 (KDE 4.4.5)
Qt Version: 4.6.3
Operating System: Linux 2.6.33.6-147.fc13.i686 i686
Distribution: "Fedora release 13 (Goddard)"

kdegraphics-4.4.5-2.fc13.i686

How reproducible:

every time

Steps to Reproduce:

1. open kolourpaint
2. press both left and right mouse key together
3.
  
Actual results:


Expected results:


Additional info:

I'm on gnome, not kde, but I must use some usefull kde app, like kolourpaint.

Comment 1 Rex Dieter 2010-07-16 16:01:44 UTC
left+right mb usually means an X clipboard paste.  
So, do you know what, if anything, was in your clipboard?

Fwiw, I cannot reproduce this (on kde anyway, if that matters).

Have a backtrace?  any abrt or drkonqi report?

Comment 2 Andrea 2010-07-16 16:26:15 UTC
(In reply to comment #1)
> left+right mb usually means an X clipboard paste.  
> So, do you know what, if anything, was in your clipboard?

I think nothing... simply boot, open kolourpaint and kill it with a left+right mb.

now I tried copying a lot of things from different apps but nothing change... it crash.

> Fwiw, I cannot reproduce this (on kde anyway, if that matters).

don't know on kde.

> Have a backtrace?  any abrt or drkonqi report?    

nothing usefull becouse to install debugging symbols i need konsole and some other things from kde that I can't install right now.

Comment 3 Radek Novacek 2010-07-19 06:46:58 UTC
Created attachment 432768 [details]
Backtrace

I reproduced this bug with just left+right click. Attaching backtrace (all suggested debuginfo packages installed but still a lot of "??").

Comment 4 Kevin Kofler 2010-07-19 08:39:40 UTC
The information is sufficient. I see a missing NULL check at kdegraphics-4.4.5/kolourpaint/document/kpDocument_Selection.cpp:270 (it calls kpAbstractSelection::boundingRect with a NULL this pointer, i.e. on a NULL object).

Comment 5 Bug Zapper 2011-06-01 13:42:43 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2011-06-29 13:25:24 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.